=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: postgresql-9.5
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9~),
- dpkg-dev (>= 1.16.1~) | hardening-wrapper,
+ dpkg-dev (>= 1.16.1~),
  perl (>= 5.8),
  libperl-dev,
  libipc-run-perl,
@@ -18,7 +17,6 @@
  libxml2-dev,
  krb5-multidev,
  libldap2-dev,
- libselinux1-dev [linux-any],
  libxslt1-dev,
  uuid-dev,
  python-dev,
@@ -35,19 +33,15 @@
  xsltproc,
  gettext
 Homepage: http://www.postgresql.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql.git -b 9.5
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 9.5
 
 Package: libpq-dev
 Architecture: any
-Section: libdevel
+Section: 9.5/libdevel
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq5 (= ${binary:Version}),
- libssl-dev,
- krb5-multidev,
- comerr-dev
 Suggests: postgresql-doc-9.5
 Description: header files for libpq5 (PostgreSQL library)
  Header files and static library for compiling C programs to link
@@ -58,7 +52,7 @@
 
 Package: libpq5
 Architecture: any
-Section: libs
+Section: 9.5/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -75,7 +69,7 @@
 
 Package: libecpg6
 Architecture: any
-Section: libs
+Section: 9.5/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -87,7 +81,7 @@
 
 Package: libecpg-dev
 Architecture: any
-Section: libdevel
+Section: 9.5/libdevel
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq-dev,
@@ -106,7 +100,7 @@
 
 Package: libecpg-compat3
 Architecture: any
-Section: libs
+Section: 9.5/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -118,7 +112,7 @@
 
 Package: libpgtypes3
 Architecture: any
-Section: libs
+Section: 9.5/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -254,7 +248,6 @@
                    indicates whether a vacuum is required.
   postgresql_fdw - foreign data wrapper for PostgreSQL
   seg            - Confidence-interval datatype (GiST indexing example)
-  sepgsql        - mandatory access control (MAC) based on SELinux
   spi            - PostgreSQL Server Programming Interface; 4 examples of
                    its use:
                    autoinc    - A function for implementing AUTOINCREMENT/
@@ -317,3 +310,8 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
+ postgresql-9.5 (= ${binary:Version})
+Provides: postgresql-pltcl
+Description: PL/Tcl procedural language for PostgreSQL 9.5
+ PL/Tcl enables an SQL developer to write procedural language functions
+ for PostgreSQL 9.5 in Tcl.  You need this package if you have any
