## postgresql-9.5 9.5.17

=== debian/changelog ===
postgresql-9.5 (9.5.17-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release(s) (LP: #1828012)
    - Prevent row-level security policies from being bypassed via
      selectivity estimators.
      CVE-2019-10130
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/9.5/static/release-9-5-17.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 May 2019 11:20:37 +0200
